curl https://api.vouchmark.com/v1/developers/webhooks \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"data": [
{
"id": "...",
"appId": "...",
"environment": "live",
"serviceType": "kyc_widget",
"endpoint": "https://...",
"isActive": true,
"signingSecretMasked": "whsec_…ab12",
"createdAt": "..."
}
]
}
Developers
List webhooks
List your webhook subscriptions.
GET
/
v1
/
developers
/
webhooks
curl https://api.vouchmark.com/v1/developers/webhooks \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"data": [
{
"id": "...",
"appId": "...",
"environment": "live",
"serviceType": "kyc_widget",
"endpoint": "https://...",
"isActive": true,
"signingSecretMasked": "whsec_…ab12",
"createdAt": "..."
}
]
}
Returns all webhook subscriptions registered for the authenticated account.
Query parameters
None.curl https://api.vouchmark.com/v1/developers/webhooks \
-H "Authorization: Bearer $TOKEN"
{
"success": true,
"data": [
{
"id": "...",
"appId": "...",
"environment": "live",
"serviceType": "kyc_widget",
"endpoint": "https://...",
"isActive": true,
"signingSecretMasked": "whsec_…ab12",
"createdAt": "..."
}
]
}
Response fields
boolean
object[]
